[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.UpdateBaseBounds

Updates the base bounds for the control; essential if there has been a lot of resizing.

## Declaration

Source position: controls.pp line 1683

`public procedure TControl.UpdateBaseBounds(`
`StoreBounds: Boolean;`
`StoreParentClientSize: Boolean;`
`UseLoadedValues: Boolean`
`); virtual;`

## Arguments

`StoreBounds` |  | True if the BoundsRect is retrieved and used as the value in BaseBounds. False if the existing value in BaseBounds is used.
`StoreParentClientSize` |  | True if the ClientWidth and ClientHeight in the Parent control is retrieved and used. False if the existing value in BaseParentClientSize is used.
`UseLoadedValues` |  | True if the client size retrieved during LCL component streaming is used in the BaseParentClientSize. False if the calculated value is used.